/**
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.service.customer.ejb;

import java.rmi.RemoteException;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

import javax.persistence.PersistenceUnit;
import javax.ejb.EJBException;
import javax.ejb.Stateless;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

@Stateless
public class ProcessCustomerSessionBean implements ProcessCustomerSessionLocal {
    @PersistenceUnit
    protected EntityManagerFactory emf;

    public ProcessCustomerSessionBean() {
    
    }

    public List<Customer> findAllCustomers() {
        EntityManager em = emf.createEntityManager();
        String query = "SELECT * FROM customer";
        List<Customer> customerList =
            (List<Customer>)em.createNativeQuery(query, Customer.class).getResultList();
        em.close();
        return customerList;
    }

    public Customer findCustomer(String key) {
        EntityManager em = emf.createEntityManager();
        String query = "SELECT * FROM customer WHERE id='"+key+"'";
        List<Customer> customerList =
            (List<Customer>)em.createNativeQuery(query, Customer.class).getResultList();
        if(customerList.size() == 1) {
            return (Customer)customerList.get(0);
        } else {
            return null;
        }
    }
}
